/**********************************************************************
 *<
	oExporter plugin Private Beta (see License.txt)

	FILE: ogreAnimationCompiler.h

	DESCRIPTION: OE_XMLScene callbacks interface	

	IMPLEMENTED BY: Lioric

	HISTORY: 

		Original implementation by Lasse Tassing (Channex)
		2005 ITE ApS, Lasse Tassing

 *>	Copyright (c) 2005, All Rights Reserved.
 **********************************************************************/


#ifndef __XML_SCENE_CALLBACKS__
#define __XML_SCENE_CALLBACKS__

// Callback interface. Use this if you want to set special properties on the 
// objects during creation (and/or read custom attribute values).
class OSMSceneCallbacks
{
public:
	virtual ~OSMSceneCallbacks() {};

	// Called when a node has been created
	virtual void OnNodeCreate(Ogre::SceneNode *pNode, TiXmlElement* pNodeDesc) {};

	// Called when an entity has been created
	virtual void OnEntityCreate(Ogre::Entity *pEntity, TiXmlElement* pEntityDesc) {};

	// Called when a camera has been created
	virtual void OnCameraCreate(Ogre::Camera *pCamera, TiXmlElement* pCameraDesc) {};

	// Called when a light has been created
	virtual void OnLightCreate(Ogre::Light *pLight, TiXmlElement* pLightDesc) {};
};

#endif